import { config } from "./config";
import { enyToGuardFn } from "./utils";
const defaults = {
    allowExtraProperties: true,
    strict: false,
    bail: false,
};
export function mergeOptions(options, context, fields) {
    var _a, _b, _c;
    const result = {};
    for (const field of fields) {
        result[field] =
            (_c = (_b = (_a = options[field]) !== null && _a !== void 0 ? _a : context[field]) !== null && _b !== void 0 ? _b : config[field]) !== null && _c !== void 0 ? _c : defaults[field];
    }
    return result;
}
export function validate(schema, val, context) {
    return enyToGuardFn(schema)(val, context !== null && context !== void 0 ? context : {}, [], undefined);
}
//# sourceMappingURL=validate.js.map